Package org.zkoss.stateless.sul

## Enum ITrack.Kind

- java.lang.Object
- - java.lang.Enum<ITrack.Kind>
  - - org.zkoss.stateless.sul.ITrack.Kind

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ITrack.Kind>`
  Enclosing interface:
    ITrack

      public static enum ITrack.Kind
      extends java.lang.Enum<ITrack.Kind>

  Specifies the kind with `ITrack.withKind(Kind)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CAPTIONS` | The track defines translation of dialogue and sound effects (suitable for deaf users)
    `CHAPTERS` | The track defines chapter titles (suitable for navigating the media resource)
    `DESCRIPTIONS` | The track defines a textual description of the video content (suitable for blind users)
    `METADATA` | The track defines content used by scripts.
    `SUBTITLES` | The track defines subtitles, used to display subtitles in a video

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ITrack.Kind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ITrack.Kind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUBTITLES

          public static final ITrack.Kind SUBTITLES

      The track defines subtitles, used to display subtitles in a video

    - #### CAPTIONS

          public static final ITrack.Kind CAPTIONS

      The track defines translation of dialogue and sound effects (suitable for deaf users)

    - #### DESCRIPTIONS

          public static final ITrack.Kind DESCRIPTIONS

      The track defines a textual description of the video content (suitable for blind users)

    - #### CHAPTERS

          public static final ITrack.Kind CHAPTERS

      The track defines chapter titles (suitable for navigating the media resource)

    - #### METADATA

          public static final ITrack.Kind METADATA

      The track defines content used by scripts. Not visible for the user

  - ### Method Detail

    - #### values

          public static ITrack.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ITrack.Kind c : ITrack.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ITrack.Kind valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null